import { reactive } from "vue";

import Reflect_SeviceClient from "@/wscf-client/Reflect_SeviceClient";

/**
 */
class FixServiceClient extends Reflect_SeviceClient {
    constructor(){
        super();
        this.Data = reactive({
            /**
             * 定点数据更新时间
             * @type {DateTime}
             */
            UpdateTime:"",
        });

    }

    /**
     * 获取定点图数据
     * @returns {{
     *  ADs:int[],//数据, AD数据
     *  thicks:double[],//数据, 厚度数据
     *  ts:TimeSpan,//单数据时间间隔
     *  time:DateTime//开始时间点
     * }}
     */
    async GetFixDatas(){
        return await this.SyncCall('GetFixDatas');
    }
}




export { FixServiceClient };